<!DOCTYPE html> 
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Booking Track</title>

	<link rel="stylesheet" href="layouts/css/main.css">
	<script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.9/angular.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular-route.min.js"></script>
    <script src="http://code.jquery.com/jquery-1.7.2.min.js"></script>
	<link rel="stylesheet" href="layouts/bootstrap/css/bootstrap.css">
		<link href="layouts/css/login.css" rel='stylesheet' type='text/css' />
		<script type="application/x-javascript"> addEventListener("load", function() { setTimeout(hideURLbar, 0); }, false); function hideURLbar(){ window.scrollTo(0,1); } </script>
		<!--webfonts-->
		<link href='http://fonts.googleapis.com/css?family=Open+Sans:600italic,400,300,600,700' rel='stylesheet' type='text/css'>
		<!--//webfonts-->
<script>
		 var app = angular.module('myApp', []);
        app.config(['$httpProvider', function($httpProvider) {
                $httpProvider.defaults.useXDomain = true;
                $httpProvider.defaults.headers.common = 'Content-Type: application/json';
                delete $httpProvider.defaults.headers.common['X-Requested-With'];
                }
        ]);
    app.controller('MyController', function($scope,$http) {
   // Delete
        $scope.deleteRow = function(id) {
                $http.get("http://localhost:8085/calltaxi/v1/driver/deleteApi/?id="+id)
                .success(function(response){
                //console.log(response);
                $scope.del = response;
                })
               };
// Single View
        $scope.singleRecord = function(id) {
                $http.get("http://localhost:8085/calltaxi/v1/driver/singleview/?id="+id)
                .success(function(response){
                $scope.items = response;
                })
               };
            //});
// Full View
    $http({
  method: 'GET',
  url: 'http://localhost:8085/calltaxi/v1/driver/fullvieweApi'
}).then(function successCallback(response) {
//alert(response.records);
                var recordsArray = response.data.records;
            console.log(JSON.stringify(recordsArray))
            $scope.items = recordsArray; // 
  }, function errorCallback(response) {

  });

    });   // app.controller

		</script>
</head>
<body  data-ng-app="myApp" data-ng-controller="MyController">
<div id="container">
			<header>
				<h1><a href="#" title="WebPage" target="_blank">Admin Panel</a></h1>
				<nav>
					<ul>									
						<!--<li class="web"><a href="http://www.deinterfaz.com"><span>Web Page</span></a></li>-->
						
						<li class="tohome external"><a href="index/home" ><span></span></a></li>
						<li class="logout"><a href="index/logout" ><span></span></a></li>
 
						
					</ul>
				</nav>
				<div class="clearfix"></div>
			</header>
			

<div id="header">  header</div>
    <!-- CENTERED-->
	<div id="main">
    <div id="divContainer">

        <h2> Driver  Details</h2>

        <!-- HTML5 TABLE FORMATTED VIA CSS3-->
        <table class="formatHTML5">
            <!-- TABLE HEADER-->
            <thead>
                <tr><br></tr>
                <tr>
					 <th>Name</th>
                    <th> Mobile</th>
                    <th>location</th>
					 <th>email</th>
                    <th>did</th>
					<th>Booking Status</th>					
					<th>Action</th>					
                </tr>
            </thead>
            <!-- TABLE BODY: MAIN CONTENT-->
            <tbody> 
                <tr data-ng-repeat="item in items">
					<td>{{item.name}}</td>
                    <td>{{item.mobile}}</td>
					<td>Ram</td>
                    <td>50 KM </td>
                    <td><button class="btn btn-xs btn-info" type="button"> Paid</button></td> 
					<td><button class="btn btn-xs btn-primary" type="button">Booking Open</button></td>
					<td>
					<button class="btn btn-xs btn-success" type="button"><span class="glyphicon glyphicon-zoom-in" aria-hidden="true"></span> View</button>
					<button class="btn btn-xs btn-warning" type="button"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span> Edit</button>
					<button class="btn btn-xs btn-danger" type="button"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span> Delete</button>
					</td>					
                </tr>
        
			
			
               
            </tbody>

            <!-- TABLE FOOTER-->
           
        </table>
    </div>     <!-- id divContainer -->
	</div> <!-- id Main -->
	
	<div id="footer"> footer  </div>
	    
	
	</div>  <!-- id container -->
</body>
</html>
